/*
 * (C) Copyright 2014 Chen-Yu Tsai <wens@csie.org>
 *
 * Configuration settings for the Allwinner A23 (sun8i) CPU
 *
 * SPDX-License-Identifier:	GPL-2.0+
 */

#ifndef __CONFIG_H
#define __CONFIG_H

/*
 * A23 specific configuration
 */

#ifdef CONFIG_USB_EHCI
#define CONFIG_USB_EHCI_SUNXI
#endif

#ifdef CONFIG_MACH_SUN8I_H3
	#define CONFIG_SUNXI_USB_PHYS	4
#elif defined CONFIG_MACH_SUN8I_A83T
	#define CONFIG_SUNXI_USB_PHYS	3
#elif (defined CONFIG_MACH_SUN8I_V3S) || (defined CONFIG_MACH_SUN8I_S3)	
	#define CONFIG_SUNXI_USB_PHYS	1
#else
	#define CONFIG_SUNXI_USB_PHYS	2
#endif

#undef CONFIG_BOOTCOMMAND
#undef CONFIG_BOOTARGS

#ifndef CONFIG_BOOTCOMMAND
#define CONFIG_BOOTCOMMAND    "fatload mmc 0 $fdt_addr_r $fdtfile;fatload mmc 0 $kernel_addr_r zImage;bootz $kernel_addr_r - $fdt_addr_r"
#endif

#ifndef CONFIG_BOOTARGS
#define CONFIG_BOOTARGS       "earlyprintk console=tty0 console=ttyS0,115200 panic=5 rootwait root=/dev/mmcblk0p2 rw"
#endif

#define CONFIG_VIDEO_LCD_IF_LVDS
/*
 * Include common sunxi configuration where most the settings are
 */
#include <configs/sunxi-common.h>

#endif /* __CONFIG_H */
